import request from '@/benyun/utils/request'

export function query(params:any,data?:any) {
	return request({
		url: '/omsOrder/omsOrder/query',
		method: 'POST',
		params:params,
		data: data
	})
}

export function getProvince(data:any){
	return request({
		url:'/omsOrder/omsArea/getByParentCode',
		method:'Get',
		params:data
	})
}

export function addOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/manual',
		method: 'POST',
		data: data
	})
}

export function saveBaseOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/updateInfo',
		method: 'POST',
		data: data
	})
}

export function smt(data:any){
	return request({
		url: '/omsOrder/omsOrder/submit',
		method: 'POST',
		params: data
	})
}

export function unSmt(data:any){
	return request({
		url: '/omsOrder/omsOrder/unSubmit',
		method: 'POST',
		params: data
	})
}

export function getSingleData(params:any){
	return request({
    url: '/omsOrder/omsOrder/single/',
		params:params,
    method: 'GET'
  })
}

export function pullOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/pullOrder',
		method: 'POST',
		data: data
	})
}

export function pullItem(data:any){
	return request({
		url: '/omsOrder/shopItem/pullItem',
		method: 'POST',
		data: data
	})
}

export function maindataMaterialRelevancy(params:any){
	return request({
		url:'/maindata/maindataMaterialRelevancy/page',
		method:'Get',
		params:params
	})
}

export function materialrelevancy(data:any){
	return request({
		url:'/maindata/maindataMaterialRelevancy/materialrelevancy',
		method:'POST',
		data:data
	})
}

export function purchaseQty(params:any){
	return request({
		url:'/omsOrder/omsOrder/purchaseQty',
		method:'Get',
		params:params
	})
}